Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class ResizeLayoutPanel.ImplTrident

    java.lang.Object
      com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl
          com.google.gwt.user.client.ui.ResizeLayoutPanel.ImplTrident

Enclosing class:
  ResizeLayoutPanel

    static class ResizeLayoutPanel.ImplTrident

extends ResizeLayoutPanel.Impl

Implementation of resize event used by IE.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl
`ResizeLayoutPanel.Impl.Delegate`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl
`isAttached, parent`

Constructor Summary
`ResizeLayoutPanel.ImplTrident()`

Method Summary
`void` | `init(Element elem, ResizeLayoutPanel.Impl.Delegate delegate)` Initialize the implementation.
`void` | `onAttach()` Called on attach.
`void` | `onDetach()` Called on detach.

Methods inherited from class com.google.gwt.user.client.ui.ResizeLayoutPanel.Impl
`handleResize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResizeLayoutPanel.ImplTrident

    ResizeLayoutPanel.ImplTrident()

Method Detail

### init

    public void init(Element elem,
                     ResizeLayoutPanel.Impl.Delegate delegate)

  Description copied from class: `ResizeLayoutPanel.Impl`
  Initialize the implementation.

  Overrides:
    `init` in class `ResizeLayoutPanel.Impl`
  Parameters:
    `elem` - the element to listen for resize
    `delegate` - the `ResizeLayoutPanel.Impl.Delegate` to inform when resize occurs

### onAttach

    public void onAttach()

  Description copied from class: `ResizeLayoutPanel.Impl`
  Called on attach.

  Overrides:
    `onAttach` in class `ResizeLayoutPanel.Impl`

### onDetach

    public void onDetach()

  Description copied from class: `ResizeLayoutPanel.Impl`
  Called on detach.

  Overrides:
    `onDetach` in class `ResizeLayoutPanel.Impl`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD